Bug 451579 - "unable to enumerate USB device" with macally TI TUSB2040
"unable to enumerate USB device" with macally TI TUSB2040
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-15 20:43 EDT by Peter H. Jones
Modified: 2009-07-14 11:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with no external USB's attached (27.58 KB, text/plain)
2008-06-15 20:43 EDT, Peter H. Jones
no flags Details
dmesg output with just the macally (27.91 KB, text/plain)
2008-06-15 20:46 EDT, Peter H. Jones
no flags Details
dmesg output with macally and Garmin plugged into it (27.92 KB, text/plain)
2008-06-15 20:47 EDT, Peter H. Jones
no flags Details
dmesg output with just the Garmin, no hub (27.58 KB, text/plain)
2008-06-15 20:48 EDT, Peter H. Jones
no flags Details
diff3 of dmesg output with no usb, macally-only, and macally_to_Garmin (9.18 KB, text/plain)
2008-06-15 20:54 EDT, Peter H. Jones
no flags Details
lsusb output with just the hub (2.05 KB, text/plain)
2008-06-15 20:56 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2008-06-15 20:43:59 EDT
Description of problem:


Version-Release number of selected component (if applicable):
kernel-2.6.25.6-55.fc9.i686

How reproducible:
Always

Steps to Reproduce:
1. Boot with Macally USB hub powered on and plugged in, and a Garmin 760 plugged
into the hub. The Garmin software version is 2.5.
2. Observe dmesg with and without Macally hub plugged in, and Garmin plugged in
directly.
  
Actual results:
At boot, red power light is on.
During grub boot, the four green port lights are on.
During Fedora boot, the green lights go out, light briefly, and go out again.

Expected results:
A Garmin nuvi 760 should be mounted as a FAT disk. I don't know if the hub
lights are supposed to show data flow or not. I hope I can find documentation on
the web.

Additional info:

Computer is a Toshiba PQF20C-XG102E. The string "F20" does not appear in any of
my dmesg outputs, so my model is not being detected specifically.
Searching for "Toshiba" yields the line "ACPI: DMI detected: Toshiba".

 I suspect the hub is used/returned, as I bought it in a used/new computer store
with no packaging or documentation.

When plugged in directly, the Garmin turns off and appears as a FAT disk.
When the computer is shut down, the Garmin turns on.

When plugged into the hub, the Garmin turns on to full brightness and shows no
battery remaining display, meaning it is running on external power and probably
charging its battery at the same time (hooray!), reducing cycling of the
non-replaceable Li-ion battery.

When the computer is shut down, the Garmin warns of the loss of external power,
and offers to switch to battery or shut down. That would be a nice feature to be
able to activate at will, for the Garmin doesn't do that when plugged in directly.

I have attached dmesgs of the various boot conditions, and an lsusb listing with
just the hub.
Significant differences are as follows:

diff3 from no usb, to hub only, to hub and Garmin: See attachment.

Part of diff3 \ 
dmesg_2.6.25.6-55.fc9.i686 \
dmesg_2.6.25.6-55.fc9.i686_with_garmin_sw2.5 \
dmesg_2.6.25.6-55.fc9.i686_with_macally_hub_to_Garmin_760_sw2.5

====1
1:357a
2:358c
3:358c
  hub 1-0:1.0: unable to enumerate USB device on port 5
====1
1:382a
2:384,389c
3:384,389c
  usb 3-1: new full speed USB device using uhci_hcd and address 2
  usb 3-1: configuration #1 chosen from 1 choice
  hub 3-1:1.0: USB hub found
  hub 3-1:1.0: 4 ports detected
  usb 3-1: New USB device found, idVendor=0451, idProduct=1446
  usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0


diff of dmesg with no usb and just the hub:

*** dmesg_2.6.25.6-55.fc9.i686	2008-06-15 18:16:20.000000000 -0400
--- dmesg_2.6.25.6-55.fc9.i686_with_macally_hub	2008-06-15 18:41:12.000000000 -0400
...
***************
*** 357 ****
--- 358 ----
+ hub 1-0:1.0: unable to enumerate USB device on port 5
***************
*** 382 ****
--- 384,389 ----
+ usb 3-1: new full speed USB device using uhci_hcd and address 2
+ usb 3-1: configuration #1 chosen from 1 choice
+ hub 3-1:1.0: USB hub found
+ hub 3-1:1.0: 4 ports detected
+ usb 3-1: New USB device found, idVendor=0451, idProduct=1446
+ usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
***************
...
Comment 1 Peter H. Jones 2008-06-15 20:43:59 EDT
Created attachment 309420 [details]
dmesg output with no external USB's attached
Comment 2 Peter H. Jones 2008-06-15 20:46:12 EDT
Created attachment 309421 [details]
dmesg output with just the macally
Comment 3 Peter H. Jones 2008-06-15 20:47:30 EDT
Created attachment 309423 [details]
dmesg output with macally and Garmin plugged into it
Comment 4 Peter H. Jones 2008-06-15 20:48:47 EDT
Created attachment 309424 [details]
dmesg output with just the Garmin, no hub
Comment 5 Peter H. Jones 2008-06-15 20:54:53 EDT
Created attachment 309426 [details]
diff3 of dmesg output with no usb, macally-only, and macally_to_Garmin
Comment 6 Peter H. Jones 2008-06-15 20:56:26 EDT
Created attachment 309427 [details]
lsusb output with just the hub
Comment 7 Bug Zapper 2009-06-09 21:38:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:50:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.